Package org.apache.sling.event.impl.support

# Class ExactTopicMatcher

java.lang.Object
org.apache.sling.event.impl.support.ExactTopicMatcher

All Implemented Interfaces:
  `TopicMatcher`

public class ExactTopicMatcher extends Object implements TopicMatcher
The topic must match exactly.

## Constructor Summary

Constructors
Constructor
Description
`ExactTopicMatcher(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`match(String topic)`
Check if the topic matches and return the variable part - null if not matching.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExactTopicMatcher

public ExactTopicMatcher(String name)

## Method Details

### match

public String match(String topic)
Description copied from interface: `TopicMatcher`
Check if the topic matches and return the variable part - null if not matching.

Specified by:
  `match` in interface `TopicMatcher`
See Also:
  - `TopicMatcher.match(java.lang.String)`

### toString

public String toString()

Overrides:
  `toString` in class `Object`